Author: Bart Warmerdam <bartw@xs4all.nl, 
 LaMont Jones <lamont@smallone.fc.hp.com>
Description: Fix FTBFS on alpha ia64 hppa
 signal_action.sa_restorer is not available there
Bug-Debian: https://bugs.debian.org/103274
Bug-Debian: https://bugs.debian.org/39246

--- a/wmnet.c
+++ b/wmnet.c
@@ -341,12 +341,14 @@
 
 	signal_action.sa_handler = got_signal;
 	sigemptyset(&signal_action.sa_mask);
 	signal_action.sa_flags = (SA_NOCLDSTOP|SA_RESTART);
 #ifdef linux
+#if !defined(__alpha) && !defined(__hppa__) && !defined(__ia64__) // Alpha doen't have this structure member
 	signal_action.sa_restorer = NULL;
 #endif
+#endif
 	if ((sigaction(SIGCHLD, &signal_action, NULL) == -1) ||
 	    (sigaction(SIGINT, &signal_action, NULL) == -1) ||
 	    (sigaction(SIGTERM, &signal_action, NULL) == -1)) {
 		fprintf(stderr,"wmnet: couldn't set signal handler\n");
 		exit(8);
